HOBBITD_CLIENT(8)

NAME
hobbitd_client - hobbitd worker module for client data

SYNOPSIS
hobbitd_channel --channel=client hobbitd_client [options]

DESCRIPTION
hobbitd_client is a worker module for hobbitd, and as such it is normally run via the hobbitd_channel(8) program. It receives hobbitd client messages sent from systems that have the the Xymon client installed, and use the client data to generate the Xymon status messages for the cpu-, disk-, memory- and procs-columns. It also feeds Xymon data messages with the netstat- and vmstat-data collected by the client. When generating these status messages from the client data, hobbitd_client will use the configuration rules defined in the hobbit-clients.cfg(5) file to determine the color of each status message.

OPTIONS

--clear-color=COLOR
    Define the color used when sending "msgs", "files" or "ports" reports and there are no rules to check for these statuses. The default is to show a "clear" status, but some people prefer to have it "green". If you would rather prefer not to see these status columns at all, then you can use the "--no-clear-msgs", "--no-clear-files" and "--no-clear-ports" options instead.

--no-clear-msgs
    If there are no logfile checks, the "msgs" column will show a "clear" status. If you would rather avoid having a "msgs" column, this option causes hobbitd_client to not send in a clear "msgs" status.

--no-clear-files
    If there are no file checks, the "files" column will show a "clear" status. If you would rather avoid having a "files" column, this option causes hobbitd_client to not send in a clear "files" status.

--no-clear-ports
    If there are no port checks, the "ports" column will show a "clear" status. If you would rather avoid having a "ports" column, this option causes hobbitd_client to not send in a clear "ports" status.

--no-ps-listing
    Normally the "procs" status message includes the full process-listing received from the client. If you prefer to just have the monitored processes shown, this option will turn off the full ps-listing.

--no-port-listing
    Normally the "ports" status message includes the full netstat-listing received from the client. If you prefer to just have the monitored ports shown, this option will turn off the full netstat-listing.

--config=FILENAME
    Sets the filename for the hobbit-clients.cfg file. The default value is "etc/hobbit-clients.cfg" below the Xymon server directory.

--dump-config
    Dumps the configuration after parsing it. May be useful to track down problems with configuration file errors.

--test
    Starts an interactive session where you can test the hobbit-clients.cfg configuration.

--debug
    Enable debugging output.

FILES

~xymon/server/etc/hobbit-clients.cfg

SEE ALSO
hobbit-clients.cfg(5), hobbitd(8), hobbitd_channel(8), xymon(7)